// Name:
// CSCI 201 Homework 2

public class FaceUpCard {

  public static final int MIN_VALUE = 1;
  public static final int MAX_VALUE = 13;
  public static final String[] SUITS = { "Clubs", "Diamonds", "Hearts", "Spades" };

  private String suit;
  private int value;
  private boolean faceUp;

  /**
   * Create a new FaceUpCard from a suit and value.
   * 
   * @param suit  the card suit (one of SUITS defined above).
   * @param value the card value (between MIN_VALUE and MAX_VALUE).
   */
  public FaceUpCard(String suit, int value) {
    this.value = value;
    this.suit = suit;
    faceUp = false;
  }

  /**
   * @return whether the card is face up.
   */
  public boolean isFaceUp() {
    return faceUp;
  }

  /**
   * Flips a card from face-down to face-up or face-up to face-down.
   */
  public void flip() {
    faceUp = !faceUp;
  }

  /**
   * @return the card's points in the FaceUp game.
   *         Cards 2-10 have points worth their face value.
   *         Jack, Queen and King are worth 10 points.
   *         Ace is worth 11 points.
   */
  public int getCardPoints() {
    // TODO: fill in method definition; replace placeholder (0) on next line.
    return 0;
  }

  /**
   * @return whether card is a red card, i.e. with suit "Hearts" or "Diamonds".
   */
  public boolean isRedCard() {
    // TODO: fill in method definition; replace placeholder (false) on next line.
    return false;
  }

  /**
   * @return a String representation of the value.
   *         For example, a value of 1 should return "Ace".
   *         A value of 11 should return "Jack".
   *         For values between 2 <= value <= 10, use Integer.toString(value).
   */
  public String getValueName() {
    if (value == 1) {
      return "Ace";
    } else if (value == 11) {
      return "Jack";
    } else if (value == 12) {
      return "Queen";
    } else if (value == 13) {
      return "King";
    }
    return Integer.toString(value);
  }

  /**
   * @return the complete name of this card as a String.
   *         For example, "3 of Hearts" or "Jack of Clubs".
   */
  public String toString() {
    return getValueName() + " of " + suit;
  }
}
